Bug 1776894 - Race between pools recovery and previous request_vifs
Summary: Race between pools recovery and previous request_vifs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.0
Assignee: Luis Tomas Bolivar
QA Contact: Jon Uriarte
URL:
Whiteboard:
Depends On:
Blocks: 1776896 1776897
TreeView+ depends on / blocked
 
Reported: 2019-11-26 14:29 UTC by Luis Tomas Bolivar
Modified: 2020-05-13 21:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1776896 1776897 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:53:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kuryr-kubernetes pull 98 'None' closed Bug 1776894: Ensure pools population does not happen until pools are recovered 2020-02-24 11:41:49 UTC
Launchpad 1854064 None None None 2019-11-26 14:29:24 UTC
OpenStack gerrit 696082 'None' MERGED Ensure pools population does not happen until pools are recovered 2020-02-24 11:41:49 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-13 21:53:20 UTC

Description Luis Tomas Bolivar 2019-11-26 14:29:24 UTC
When kuryr-controller gets restarted, and before the pools are recovered, there is some pools repopulation events triggered due to handling events previous to the kuryr-controller restart. This leads to unneeded repopulation actions as well as delayed pools recovery

Comment 2 Jon Uriarte 2020-02-20 14:51:59 UTC
Verified in 4.4.0-0.nightly-2020-02-17-131733 build on top of OSP 13 2020-01-15.3 puddle.

The OCP installer finishes successfully:

 $ oc get clusterversion
 NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
 version   4.4.0-0.nightly-2020-02-17-131733   True        False         16h     Cluster version is 4.4.0-0.nightly-2020-02-17-131733

While running kubernetes/conformance test from origin the release-4.4 kuryr-controller pod showed next message:
"Kuryr-controller not yet ready to populate pools" and raised kuryr_kubernetes.exceptions.ResourceNotReady exception.

Comment 4 errata-xmlrpc 2020-05-13 21:53:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.